GNU Octave 5.1.0 випущено з підтримкою HiDPI (Howto Install)

Вчора GNU Octave 5.1.0 був оголошений як новий великий реліз із покращенням сумісності Matlab та багатьма новими та вдосконаленими функціями.

GNU Octave 5.1.0 випуск основних моментів:

  • Додає підтримку HiDPI
  • Потрібен Qt4> = 4.8, хоча Qt5 є кращим.
  • Додає багато нових функцій.
  • Друк до растрових форматів тепер за замовчуванням використовує метод на основі OpenGL
  • Нові параметри друку для PDF та PostScript
  • Новий друкарський пристрій виробляє графіку ASCII для сюжетів
  • Бібліотека FFTW тепер необхідна для обчислень FFT
  • Бібліотека OSMesa більше не використовується.

Як встановити Octave 5.1 в Ubuntu 18.04 / 16.04:

1 Спочатку відкрийте термінал (Ctrl + Alt + T) і переконайтесь, що підтримка Flatpak активована, запустивши команду:

sudo apt-get install flatpak

Для Ubuntu 16.04 вам потрібно додайте Flatpak PPA першим, щоб мати можливість встановити рамку Flatpak.

2 Потім додайте сховище Flathub - найкраще місце, щоб отримати програми Flatpak:

flatpak remote-add -if-не-існує flathub https://fluttub.org/repo/flathub.flatpakrepo

3. Нарешті встановіть GNU Octave з сховища Flathub:

плоский пакет встановити flathub org.octave.Octave

Якщо ви вперше встановите пакет, ви зможете завантажити пакет плоский пакет, а також платформу залежностей.

Як і звичайні програми, ви можете запустити Octave з панелі запуску програми Gnome:

Платпак співіснує з традиційним пакетом "Октава". Ви також можете запустити його в командному рядку:

flatpak run org.octave.Octave

Видалити:

Ви можете видалити пакет Octave flatpak, запустивши команду:

flatpak uninstall org.octave.Octave

І видалите підтримку flatpak, якщо хочете:

sudo apt-get видалити плоский пакет

Оригінал статті

Залишити коментар

Цей сайт використовує Akismet для зменшення спаму. Дізнайтеся, як обробляються ваші дані коментарів.